FindAllByBooleanPropertyPersistentMethod (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class FindAllByBooleanPropertyPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.FindAllByPersistentMethod
                      org.codehaus.groovy.grails.orm.hibernate.metaclass.FindAllByBooleanPropertyPersistentMethod

    public class FindAllByBooleanPropertyPersistentMethod
    extends FindAllByPersistentMethod

The "findAllBy*" static persistent method. This method allows querying for instances of grails domain classes based on a boolean property and any other arbitrary properties. eg. Account.findAllActiveByHolder("Joe Blogs"); // Where class "Account" has a properties called "active" and "holder" Account.findAllActiveByHolderAndBranch("Joe Blogs", "London"); // Where class "Account" has a properties called "active', "holder" and "branch" In both of those queries, the query will only select Account objects where active=true.

Authors:
  Jeff Brown

Field Summary

Fields inherited from class AbstractStaticPersistentMethod
application

Constructor Summary
`FindAllByBooleanPropertyPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`

Method Summary
`protected boolean` | `firstExpressionIsRequiredBoolean()`

Methods inherited from class FindAllByPersistentMethod
doInvokeInternalWithExpressions, firstExpressionIsRequiredBoolean

Methods inherited from class AbstractClausedStaticPersistentMethod
AbstractClausedStaticPersistentMethod, doInvokeInternal, doInvokeInternal, doInvokeInternal, doInvokeInternalWithExpressions

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FindAllByBooleanPropertyPersistentMethod

    public FindAllByBooleanPropertyPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

Method Detail

### firstExpressionIsRequiredBoolean

    @Override
    protected boolean firstExpressionIsRequiredBoolean()

Groovy Documentation